﻿'
' Copyright (c) 2009-2011, MindFusion LLC - Bulgaria.
'
Imports MindFusion.Scheduling.WebForms
Imports MindFusion.Scheduling

Partial Class _Default
	Inherits System.Web.UI.Page

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Not IsPostBack Then
            CreateScheduleData()
        End If
	End Sub

	Private Sub CreateScheduleData()
		'create some contacts
		Dim contact1 As New Contact()
		contact1.FirstName = "James"
		contact1.LastName = "Jones"
		Calendar1.Schedule.Contacts.Add(contact1)

		Dim contact2 As New Contact()
		contact2.FirstName = "Mary"
		contact2.LastName = "Brown"
		Calendar1.Schedule.Contacts.Add(contact2)

		'create some locations
		Dim location1 As New Location()
		location1.City = "London"
		location1.Name = "London"
		Calendar1.Schedule.Locations.Add(location1)

		Dim location2 As New Location()
		location2.City = "Paris"
		location2.Name = "Paris"
		Calendar1.Schedule.Locations.Add(location2)

		'create some events
		Dim app1 As New Appointment()
		app1.StartTime = New DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 8, 0, 0)
		app1.EndTime = app1.StartTime.AddHours(2)
		app1.Subject = "Meeting"
        app1.DescriptionText = "I really must be there on time."
        app1.Locked = True
		app1.Location = location1
		app1.Contacts.Add(contact1)
		Calendar1.Schedule.Items.Add(app1)

		Dim app2 As New Appointment()
		app2.StartTime = New DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 13, 0, 0)
		app2.EndTime = app2.StartTime.AddHours(1)
		app2.Subject = "Lunch"
        app2.DescriptionText = "Yummy!"
		app2.Location = location1
		app2.Contacts.Add(contact1)
		Calendar1.Schedule.Items.Add(app2)

		Dim app3 As New Appointment()
		app3.StartTime = New DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 7, 30, 0)
		app3.EndTime = app3.StartTime.AddHours(3)
		app3.Subject = "Yoga class"
        app3.DescriptionText = "Yeah!"
		app3.Location = location2
		app3.Contacts.Add(contact2)
		Calendar1.Schedule.Items.Add(app3)

		Dim app4 As New Appointment()
		app4.StartTime = New DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 20, 30, 0)
		app4.EndTime = app4.StartTime.AddHours(1)
		app4.Subject = "Dinner"
        app4.DescriptionText = "with the family"
		app4.Location = location2
		app4.Contacts.Add(contact2)
		Calendar1.Schedule.Items.Add(app4)
	End Sub
End Class
